Index: src/sas/qtgui/Perspectives/Inversion/DMaxExplorerWidget.py
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/DMaxExplorerWidget.py	(revision 0261bc13615593f5eb2e08941252c044b8bb2e3b)
+++ src/sas/qtgui/Perspectives/Inversion/DMaxExplorerWidget.py	(revision 8f83719fd67e6a72acdcd666e7bf1e2326b52cd0)
@@ -16,6 +16,4 @@
 from PyQt5 import QtWidgets
 
-from twisted.internet import threads
-
 # sas-global
 from sas.qtgui.Plotting.PlotterData import Data1D
@@ -30,8 +28,8 @@
 from sas.qtgui.Utilities.GuiUtils import enum
 
-W = enum( 'NPTS',           #0
-          'DMIN',               #1
-          'DMAX',               #2
-          'VARIABLE',         #3
+W = enum( 'NPTS',      #0
+          'DMIN',      #1
+          'DMAX',      #2
+          'VARIABLE',  #3
 )
 
@@ -59,4 +57,7 @@
         self.mapper = None
 
+        # Add validators on line edits
+        self.setupValidators()
+
         # # Connect buttons to slots.
         # # Needs to be done early so default values propagate properly.
@@ -69,13 +70,19 @@
         self.setupMapper()
 
+    def setupValidators(self):
+        """Add validators on relevant line edits"""
+        self.Npts.setValidator(QtGui.QIntValidator())
+        self.minDist.setValidator(GuiUtils.DoubleValidator())
+        self.maxDist.setValidator(GuiUtils.DoubleValidator())
+
     def setupSlots(self):
         self.closeButton.clicked.connect(self.close)
-
         self.model.itemChanged.connect(self.modelChanged)
+        self.dependentVariable.currentIndexChanged.connect(lambda:self.modelChanged(None))
 
     def setupModel(self):
         self.model.setItem(W.NPTS, QtGui.QStandardItem(str(self.nfunc)))
-        self.model.setItem(W.DMIN, QtGui.QStandardItem(str(0.9*self.pr_state.d_max)))
-        self.model.setItem(W.DMAX, QtGui.QStandardItem(str(1.1*self.pr_state.d_max)))
+        self.model.setItem(W.DMIN, QtGui.QStandardItem("{:.1f}".format(0.9*self.pr_state.d_max)))
+        self.model.setItem(W.DMAX, QtGui.QStandardItem("{:.1f}".format(1.1*self.pr_state.d_max)))
         self.model.setItem(W.VARIABLE, QtGui.QStandardItem( "ÏÂ²/dof"))
 
@@ -91,4 +98,11 @@
 
         self.mapper.toFirst()
+
+    def variableChanged(self, index):
+        """
+        Respond to combobox update
+        """
+        # Just fire the model change signal, mate
+        pass
 
     def modelChanged(self, item):
@@ -121,8 +135,8 @@
                 bck.append(self.pr_state.background)
                 chi2.append(self.pr_state.chi2)
-            except:
+            except Exception as ex:
                 # This inversion failed, skip this D_max value
                 msg = "ExploreDialog: inversion failed "
-                msg += "for D_max=%s\n%s" % (str(x), sys.exc_info()[1])
+                msg += "for D_max=%s\n%s" % (str(x), ex)
                 print(msg)
                 logger.error(msg)
@@ -134,23 +148,40 @@
         except RuntimeError as ex:
             msg = "ExploreDialog: inversion failed "
-            msg += "for D_max=%s\n%s" % (str(x), sys.exc_info()[1])
+            msg += "for D_max=%s\n%s" % (str(x), ex)
             print(msg)
             logger.error(msg)
 
-        plotter = str(self.model.item(W.VARIABLE).text())
+        plotter = self.model.item(W.VARIABLE).text()
+        y_label = y_unit = ""
+        x_label = "D_{max}"
+        x_unit = "A"
         if plotter == "ÏÂ²/dof":
             ys = chi2
+            y_label = "\chi^2/dof"
+            y_unit = "a.u."
         elif plotter == "I(Q=0)":
             ys = iq0
+            y_label = "I(q=0)"
+            y_unit = "\AA^{-1}"
         elif plotter == "Rg":
             ys = rg
+            y_label = "R_g"
+            y_unit = "\AA"
         elif plotter == "Oscillation parameter":
             ys = osc
+            y_label = "Osc"
+            y_unit = "a.u."
         elif plotter == "Background":
             ys = bck
+            y_label = "Bckg"
+            y_unit = "\AA^{-1}"
         elif plotter == "Positive Fraction":
             ys = pos
+            y_label = "P^+"
+            y_unit = "a.u."
         else:
             ys = pos_err
+            y_label = "P^{+}_{1\sigma}"
+            y_unit = "a.u."
 
         data = Data1D(xs, ys)
@@ -158,3 +189,8 @@
             self.plot.removePlot(None)
         self.hasPlot = True
+        data.title = plotter
+        data._xaxis= x_label
+        data._xunit = x_unit
+        data._yaxis = y_label
+        data._yunit = y_unit
         self.plot.plot(data=data, marker="-")
Index: src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision 0580c77c6dc161b631132aef07250062af0eb0cc)
+++ src/sas/qtgui/Perspectives/Inversion/InversionPerspective.py	(revision 8f83719fd67e6a72acdcd666e7bf1e2326b52cd0)
@@ -26,10 +26,7 @@
 
 
-# TODO: Remove data
 # TODO: Modify plot references, don't just send new
 # TODO: Update help with batch capabilities
-# TODO: Easy way to scroll through results - no tabs in window(?) - 'spreadsheet'
 # TODO: Method to export results in some meaningful way
-#class InversionWindow(QtWidgets.QTabWidget, Ui_PrInversion):
 class InversionWindow(QtWidgets.QDialog, Ui_PrInversion):
     """
@@ -55,4 +52,7 @@
 
         self.logic = InversionLogic()
+
+        # Reference to Dmax window
+        self.dmaxWindow = None
 
         # The window should not close
@@ -84,4 +84,7 @@
         self._models = {}
 
+        self.calculateAllButton.setEnabled(False)
+        self.calculateThisButton.setEnabled(False)
+
         # plots for current data
         self.pr_plot = None
@@ -93,4 +96,7 @@
         self.model = QtGui.QStandardItemModel(self)
         self.mapper = QtWidgets.QDataWidgetMapper(self)
+
+        # Add validators
+        self.setupValidators()
         # Link user interactions with methods
         self.setupLinks()
@@ -150,24 +156,17 @@
 
         self.backgroundInput.editingFinished.connect(
-            lambda: self._calculator.set_est_bck(int(is_float(
-                self.backgroundInput.text()))))
+            lambda: self._calculator.set_est_bck(int(is_float(self.backgroundInput.text()))))
         self.minQInput.editingFinished.connect(
-            lambda: self._calculator.set_qmin(is_float(
-                self.minQInput.text())))
+            lambda: self._calculator.set_qmin(is_float(self.minQInput.text())))
         self.regularizationConstantInput.editingFinished.connect(
-            lambda: self._calculator.set_alpha(is_float(
-                self.regularizationConstantInput.text())))
+            lambda: self._calculator.set_alpha(is_float(self.regularizationConstantInput.text())))
         self.maxDistanceInput.editingFinished.connect(
-            lambda: self._calculator.set_dmax(is_float(
-                self.maxDistanceInput.text())))
+            lambda: self._calculator.set_dmax(is_float(self.maxDistanceInput.text())))
         self.maxQInput.editingFinished.connect(
-            lambda: self._calculator.set_qmax(is_float(
-                self.maxQInput.text())))
+            lambda: self._calculator.set_qmax(is_float(self.maxQInput.text())))
         self.slitHeightInput.editingFinished.connect(
-            lambda: self._calculator.set_slit_height(is_float(
-                self.slitHeightInput.text())))
+            lambda: self._calculator.set_slit_height(is_float(self.slitHeightInput.text())))
         self.slitWidthInput.editingFinished.connect(
-            lambda: self._calculator.set_slit_width(is_float(
-                self.slitHeightInput.text())))
+            lambda: self._calculator.set_slit_width(is_float(self.slitHeightInput.text())))
 
         self.model.itemChanged.connect(self.model_changed)
@@ -197,13 +196,10 @@
 
         # Parameter Items
-        self.mapper.addMapping(self.regularizationConstantInput,
-                               WIDGETS.W_REGULARIZATION)
-        self.mapper.addMapping(self.regConstantSuggestionButton,
-                               WIDGETS.W_REGULARIZATION_SUGGEST)
+        self.mapper.addMapping(self.regularizationConstantInput, WIDGETS.W_REGULARIZATION)
+        self.mapper.addMapping(self.regConstantSuggestionButton, WIDGETS.W_REGULARIZATION_SUGGEST)
         self.mapper.addMapping(self.explorerButton, WIDGETS.W_EXPLORE)
         self.mapper.addMapping(self.maxDistanceInput, WIDGETS.W_MAX_DIST)
         self.mapper.addMapping(self.noOfTermsInput, WIDGETS.W_NO_TERMS)
-        self.mapper.addMapping(self.noOfTermsSuggestionButton,
-                               WIDGETS.W_NO_TERMS_SUGGEST)
+        self.mapper.addMapping(self.noOfTermsSuggestionButton, WIDGETS.W_NO_TERMS_SUGGEST)
 
         # Output
@@ -215,12 +211,10 @@
         self.mapper.addMapping(self.oscillationValue, WIDGETS.W_OSCILLATION)
         self.mapper.addMapping(self.posFractionValue, WIDGETS.W_POS_FRACTION)
-        self.mapper.addMapping(self.sigmaPosFractionValue,
-                               WIDGETS.W_SIGMA_POS_FRACTION)
+        self.mapper.addMapping(self.sigmaPosFractionValue, WIDGETS.W_SIGMA_POS_FRACTION)
 
         # Main Buttons
         self.mapper.addMapping(self.removeButton, WIDGETS.W_REMOVE)
         self.mapper.addMapping(self.calculateAllButton, WIDGETS.W_CALCULATE_ALL)
-        self.mapper.addMapping(self.calculateThisButton,
-                               WIDGETS.W_CALCULATE_VISIBLE)
+        self.mapper.addMapping(self.calculateThisButton, WIDGETS.W_CALCULATE_VISIBLE)
         self.mapper.addMapping(self.helpButton, WIDGETS.W_HELP)
 
@@ -268,8 +262,17 @@
     def setupWindow(self):
         """Initialize base window state on init"""
-        #self.setTabPosition(0)
         self.enableButtons()
         self.estimateBgd.setChecked(True)
 
+    def setupValidators(self):
+        """Apply validators to editable line edits"""
+        self.noOfTermsInput.setValidator(QtGui.QIntValidator())
+        self.regularizationConstantInput.setValidator(GuiUtils.DoubleValidator())
+        self.maxDistanceInput.setValidator(GuiUtils.DoubleValidator())
+        self.minQInput.setValidator(GuiUtils.DoubleValidator())
+        self.maxQInput.setValidator(GuiUtils.DoubleValidator())
+        self.slitHeightInput.setValidator(GuiUtils.DoubleValidator())
+        self.slitWidthInput.setValidator(GuiUtils.DoubleValidator())
+
     ######################################################################
     # Methods for updating GUI
@@ -279,4 +282,6 @@
         Enable buttons when data is present, else disable them
         """
+        self.calculateAllButton.setEnabled(self.logic.data_is_loaded)
+        self.calculateThisButton.setEnabled(self.logic.data_is_loaded)
         self.removeButton.setEnabled(self.logic.data_is_loaded)
         self.explorerButton.setEnabled(self.logic.data_is_loaded)
@@ -311,6 +316,16 @@
         self.pr_plot_list.pop(self._data)
         self.data_plot_list.pop(self._data)
+        if self.dmaxWindow is not None:
+            self.dmaxWindow = None
         self.dataList.removeItem(self.dataList.currentIndex())
         self.dataList.setCurrentIndex(0)
+        # Last file removed
+        if not self._data_list:
+            self._data = None
+            self.pr_plot = None
+            self._data_set = None
+            self.calculateThisButton.setEnabled(False)
+            self.calculateAllButton.setEnabled(False)
+            self.explorerButton.setEnabled(False)
 
     ######################################################################
@@ -345,4 +360,8 @@
             title = self.data_plot.name
             GuiUtils.updateModelItemWithPlot(self._data, self.data_plot, title)
+        if self.dmaxWindow is not None:
+             self.dmaxWindow.pr_state = self._calculator
+             self.dmaxWindow.nfunc = self.getNFunc()
+
         self.mapper.toFirst()
 
@@ -374,5 +393,4 @@
         Open the Explorer window to see correlations between params and results
         """
-        # TODO: Link Invertor() and DmaxWindow so window updates when recalculated
         from .DMaxExplorerWidget import DmaxWindow
         self.dmaxWindow = DmaxWindow(self._calculator, self.getNFunc(), self)
@@ -395,4 +413,7 @@
 
         for data in data_item:
+            if data in self._data_list.keys():
+                # Don't add data if it's already in
+                return
             # Create initial internal mappings
             self._data_list[data] = self._calculator.clone()
@@ -439,7 +460,4 @@
     ######################################################################
     # Thread Creators
-
-    # TODO: Move to individual class(?)
-
     def startThreadAll(self):
         for data_ref, pr in list(self._data_list.items()):
@@ -531,5 +549,5 @@
         alpha, message, elapsed = output_tuple
         # Save useful info
-        self.model.setItem(WIDGETS.W_COMP_TIME, QtGui.QStandardItem(str(elapsed)))
+        self.model.setItem(WIDGETS.W_COMP_TIME, QtGui.QStandardItem("{:.4g}".format(elapsed)))
         self.regConstantSuggestionButton.setText("{:-3.2g}".format(alpha))
         self.regConstantSuggestionButton.setEnabled(True)
@@ -582,17 +600,15 @@
 
         # Show result on control panel
-
-        # TODO: Connect self._calculator to GUI - two-to-one connection possible?
-        self.model.setItem(WIDGETS.W_RG, QtGui.QStandardItem(str(pr.rg(out))))
-        self.model.setItem(WIDGETS.W_I_ZERO, QtGui.QStandardItem(str(pr.iq0(out))))
+        self.model.setItem(WIDGETS.W_RG, QtGui.QStandardItem("{:.3g}".format(pr.rg(out))))
+        self.model.setItem(WIDGETS.W_I_ZERO, QtGui.QStandardItem("{:.3g}".format(pr.iq0(out))))
         self.model.setItem(WIDGETS.W_BACKGROUND_INPUT,
                            QtGui.QStandardItem("{:.3f}".format(pr.est_bck)))
-        self.model.setItem(WIDGETS.W_BACKGROUND_OUTPUT, QtGui.QStandardItem(str(pr.background)))
-        self.model.setItem(WIDGETS.W_CHI_SQUARED, QtGui.QStandardItem(str(pr.chi2[0])))
-        self.model.setItem(WIDGETS.W_COMP_TIME, QtGui.QStandardItem(str(elapsed)))
-        self.model.setItem(WIDGETS.W_OSCILLATION, QtGui.QStandardItem(str(pr.oscillations(out))))
-        self.model.setItem(WIDGETS.W_POS_FRACTION, QtGui.QStandardItem(str(pr.get_positive(out))))
+        self.model.setItem(WIDGETS.W_BACKGROUND_OUTPUT, QtGui.QStandardItem("{:.3g}".format(pr.background)))
+        self.model.setItem(WIDGETS.W_CHI_SQUARED, QtGui.QStandardItem("{:.3g}".format(pr.chi2[0])))
+        self.model.setItem(WIDGETS.W_COMP_TIME, QtGui.QStandardItem("{:.2g}".format(elapsed)))
+        self.model.setItem(WIDGETS.W_OSCILLATION, QtGui.QStandardItem("{:.3g}".format(pr.oscillations(out))))
+        self.model.setItem(WIDGETS.W_POS_FRACTION, QtGui.QStandardItem("{:.3g}".format(pr.get_positive(out))))
         self.model.setItem(WIDGETS.W_SIGMA_POS_FRACTION,
-                           QtGui.QStandardItem(str(pr.get_pos_err(out, cov))))
+                           QtGui.QStandardItem("{:.3g}".format(pr.get_pos_err(out, cov))))
 
         # Save Pr invertor
Index: src/sas/qtgui/Perspectives/Inversion/UI/DMaxExplorer.ui
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/UI/DMaxExplorer.ui	(revision fa81e94af983227efded2314c2c544f98e2c56ba)
+++ src/sas/qtgui/Perspectives/Inversion/UI/DMaxExplorer.ui	(revision 8f83719fd67e6a72acdcd666e7bf1e2326b52cd0)
@@ -7,6 +7,6 @@
     <x>0</x>
     <y>0</y>
-    <width>609</width>
-    <height>524</height>
+    <width>394</width>
+    <height>426</height>
    </rect>
   </property>
@@ -14,5 +14,5 @@
    <string>Dialog</string>
   </property>
-  <layout class="QGridLayout" name="gridLayout_2">
+  <layout class="QGridLayout" name="gridLayout_3">
    <item row="0" column="0">
     <layout class="QVBoxLayout" name="verticalLayout">
@@ -25,5 +25,5 @@
         <size>
          <width>20</width>
-         <height>40</height>
+         <height>305</height>
         </size>
        </property>
@@ -32,86 +32,124 @@
      <item>
       <layout class="QGridLayout" name="gridLayout">
-       <item row="1" column="2">
-        <widget class="QLabel" name="label_4">
-         <property name="text">
-          <string>Max Distance [â«]</string>
-         </property>
-        </widget>
-       </item>
-       <item row="1" column="3">
-        <widget class="QLineEdit" name="maxDist"/>
-       </item>
-       <item row="0" column="2">
-        <widget class="QLabel" name="label_2">
-         <property name="text">
-          <string>Npts</string>
-         </property>
-        </widget>
-       </item>
-       <item row="0" column="3">
-        <widget class="QLineEdit" name="Npts"/>
-       </item>
        <item row="0" column="0">
-        <widget class="QLabel" name="label">
-         <property name="text">
-          <string>Dependent Variable:</string>
-         </property>
-        </widget>
-       </item>
-       <item row="1" column="1">
-        <widget class="QLineEdit" name="minDist"/>
-       </item>
-       <item row="0" column="1">
-        <widget class="QComboBox" name="dependentVariable">
+        <layout class="QHBoxLayout" name="horizontalLayout_3">
          <item>
-          <property name="text">
-           <string>1-Ï positive fraction</string>
-          </property>
+          <widget class="QLabel" name="label">
+           <property name="text">
+            <string>Dependent Variable:</string>
+           </property>
+          </widget>
          </item>
          <item>
-          <property name="text">
-           <string>ÏÂ²/dof</string>
-          </property>
+          <widget class="QComboBox" name="dependentVariable">
+           <item>
+            <property name="text">
+             <string>1-Ï positive fraction</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>ÏÂ²/dof</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>I(Q=0)</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>Rg</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>Oscillation parameter</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>Background</string>
+            </property>
+           </item>
+           <item>
+            <property name="text">
+             <string>Positive Fraction</string>
+            </property>
+           </item>
+          </widget>
          </item>
          <item>
-          <property name="text">
-           <string>I(Q=0)</string>
-          </property>
+          <spacer name="horizontalSpacer_2">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
+           </property>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>40</width>
+             <height>20</height>
+            </size>
+           </property>
+          </spacer>
+         </item>
+        </layout>
+       </item>
+       <item row="1" column="0">
+        <layout class="QHBoxLayout" name="horizontalLayout_2">
+         <item>
+          <widget class="QLabel" name="label_2">
+           <property name="text">
+            <string>Npts</string>
+           </property>
+          </widget>
          </item>
          <item>
-          <property name="text">
-           <string>Rg</string>
-          </property>
+          <widget class="QLineEdit" name="Npts"/>
          </item>
          <item>
-          <property name="text">
-           <string>Oscillation parameter</string>
-          </property>
+          <widget class="QLabel" name="label_3">
+           <property name="text">
+            <string>Min Distance [â«]</string>
+           </property>
+          </widget>
          </item>
          <item>
-          <property name="text">
-           <string>Background</string>
-          </property>
+          <widget class="QLineEdit" name="minDist"/>
          </item>
          <item>
-          <property name="text">
-           <string>Positive Fraction</string>
-          </property>
+          <widget class="QLabel" name="label_4">
+           <property name="text">
+            <string>Max Distance [â«]</string>
+           </property>
+          </widget>
          </item>
-        </widget>
+         <item>
+          <widget class="QLineEdit" name="maxDist"/>
+         </item>
+        </layout>
        </item>
-       <item row="1" column="0">
-        <widget class="QLabel" name="label_3">
-         <property name="text">
-          <string>Min Distance [â«]</string>
-         </property>
-        </widget>
-       </item>
-       <item row="2" column="0" colspan="4">
-        <widget class="QPushButton" name="closeButton">
-         <property name="text">
-          <string>Close</string>
-         </property>
-        </widget>
+       <item row="2" column="0">
+        <layout class="QHBoxLayout" name="horizontalLayout">
+         <item>
+          <spacer name="horizontalSpacer">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
+           </property>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>40</width>
+             <height>20</height>
+            </size>
+           </property>
+          </spacer>
+         </item>
+         <item>
+          <widget class="QPushButton" name="closeButton">
+           <property name="text">
+            <string>Close</string>
+           </property>
+          </widget>
+         </item>
+        </layout>
        </item>
       </layout>
Index: src/sas/qtgui/Perspectives/Inversion/UI/TabbedInversionUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Inversion/UI/TabbedInversionUI.ui	(revision 0580c77c6dc161b631132aef07250062af0eb0cc)
+++ src/sas/qtgui/Perspectives/Inversion/UI/TabbedInversionUI.ui	(revision 8f83719fd67e6a72acdcd666e7bf1e2326b52cd0)
@@ -7,10 +7,10 @@
     <x>0</x>
     <y>0</y>
-    <width>473</width>
-    <height>540</height>
+    <width>390</width>
+    <height>409</height>
    </rect>
   </property>
   <property name="sizePolicy">
-   <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+   <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
     <horstretch>0</horstretch>
     <verstretch>0</verstretch>
@@ -32,9 +32,9 @@
    <string>P(r) Inversion</string>
   </property>
-  <layout class="QGridLayout" name="gridLayout_10">
+  <layout class="QGridLayout" name="gridLayout_7">
    <item row="0" column="0">
     <widget class="QTabWidget" name="PrTabWidget">
      <property name="sizePolicy">
-      <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+      <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
        <horstretch>0</horstretch>
        <verstretch>0</verstretch>
@@ -52,9 +52,15 @@
      <widget class="QWidget" name="tabMain">
       <attribute name="title">
-       <string>P(r) Parameters</string>
+       <string>Parameters</string>
       </attribute>
-      <layout class="QGridLayout" name="gridLayout_7">
-       <item row="0" column="0" colspan="2">
+      <layout class="QGridLayout" name="gridLayout_6">
+       <item row="0" column="0">
         <widget class="QGroupBox" name="dataSourceGroupBox">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
          <property name="title">
           <string>I(q) data source</string>
@@ -101,177 +107,173 @@
         </widget>
        </item>
-       <item row="1" column="0" colspan="2">
-        <layout class="QGridLayout" name="gridLayout_6">
-         <item row="0" column="0">
-          <widget class="QGroupBox" name="paramGroupBox">
-           <property name="sizePolicy">
-            <sizepolicy hsizetype="MinimumExpanding" vsizetype="Preferred">
-             <horstretch>0</horstretch>
-             <verstretch>0</verstretch>
-            </sizepolicy>
-           </property>
-           <property name="toolTip">
-            <string>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
+       <item row="1" column="0">
+        <widget class="QGroupBox" name="paramGroupBox">
+         <property name="sizePolicy">
+          <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
+           <horstretch>0</horstretch>
+           <verstretch>0</verstretch>
+          </sizepolicy>
+         </property>
+         <property name="toolTip">
+          <string>&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
 &lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
 p, li { white-space: pre-wrap; }
 &lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:'MS Shell Dlg 2'; font-size:8pt; font-weight:400; font-style:normal;&quot;&gt;
 &lt;pre style=&quot; margin-top:12px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&gt;&lt;span style=&quot; font-family:'Courier New'; font-size:9pt; color:#000000;&quot;&gt;P(r) is found by fitting a set of base functions to I(Q). The minimization involves a regularization term to ensure a smooth P(r). The regularization constant gives the size of that term. The suggested value is the value above which the output P(r) will have only one peak.&lt;/span&gt;&lt;/pre&gt;&lt;/body&gt;&lt;/html&gt;</string>
-           </property>
-           <property name="title">
-            <string>Parameters</string>
-           </property>
-           <layout class="QGridLayout" name="gridLayout">
-            <item row="0" column="0">
-             <widget class="QLabel" name="label_12">
-              <property name="sizePolicy">
-               <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
-                <horstretch>0</horstretch>
-                <verstretch>0</verstretch>
-               </sizepolicy>
-              </property>
-              <property name="text">
-               <string>Number of terms</string>
-              </property>
-             </widget>
-            </item>
-            <item row="0" column="1">
-             <widget class="QLineEdit" name="noOfTermsInput">
-              <property name="sizePolicy">
-               <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-                <horstretch>0</horstretch>
-                <verstretch>0</verstretch>
-               </sizepolicy>
-              </property>
-              <property name="minimumSize">
-               <size>
-                <width>40</width>
-                <height>0</height>
-               </size>
-              </property>
-             </widget>
-            </item>
-            <item row="0" column="2">
-             <widget class="QPushButton" name="noOfTermsSuggestionButton">
-              <property name="enabled">
-               <bool>false</bool>
-              </property>
-              <property name="text">
-               <string/>
-              </property>
-             </widget>
-            </item>
-            <item row="1" column="0">
-             <widget class="QLabel" name="label_13">
-              <property name="sizePolicy">
-               <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
-                <horstretch>0</horstretch>
-                <verstretch>0</verstretch>
-               </sizepolicy>
-              </property>
-              <property name="minimumSize">
-               <size>
-                <width>80</width>
-                <height>0</height>
-               </size>
-              </property>
-              <property name="text">
-               <string>Reg. constant</string>
-              </property>
-             </widget>
-            </item>
-            <item row="1" column="1">
-             <widget class="QLineEdit" name="regularizationConstantInput">
-              <property name="sizePolicy">
-               <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-                <horstretch>0</horstretch>
-                <verstretch>0</verstretch>
-               </sizepolicy>
-              </property>
-              <property name="minimumSize">
-               <size>
-                <width>40</width>
-                <height>0</height>
-               </size>
-              </property>
-             </widget>
-            </item>
-            <item row="1" column="2">
-             <widget class="QPushButton" name="regConstantSuggestionButton">
-              <property name="enabled">
-               <bool>false</bool>
-              </property>
-              <property name="text">
-               <string/>
-              </property>
-             </widget>
-            </item>
-            <item row="2" column="0">
-             <widget class="QLabel" name="label_14">
-              <property name="sizePolicy">
-               <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
-                <horstretch>0</horstretch>
-                <verstretch>0</verstretch>
-               </sizepolicy>
-              </property>
-              <property name="text">
-               <string>Max distance [Ã
+         </property>
+         <property name="title">
+          <string>Parameters</string>
+         </property>
+         <layout class="QGridLayout" name="gridLayout">
+          <item row="0" column="0">
+           <widget class="QLabel" name="label_12">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="text">
+             <string>Number of terms</string>
+            </property>
+           </widget>
+          </item>
+          <item row="0" column="1">
+           <widget class="QLineEdit" name="noOfTermsInput">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="minimumSize">
+             <size>
+              <width>40</width>
+              <height>0</height>
+             </size>
+            </property>
+           </widget>
+          </item>
+          <item row="0" column="2">
+           <widget class="QPushButton" name="noOfTermsSuggestionButton">
+            <property name="enabled">
+             <bool>false</bool>
+            </property>
+            <property name="text">
+             <string/>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="0">
+           <widget class="QLabel" name="label_13">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="minimumSize">
+             <size>
+              <width>80</width>
+              <height>0</height>
+             </size>
+            </property>
+            <property name="text">
+             <string>Reg. constant</string>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="1">
+           <widget class="QLineEdit" name="regularizationConstantInput">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="minimumSize">
+             <size>
+              <width>40</width>
+              <height>0</height>
+             </size>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="2">
+           <widget class="QPushButton" name="regConstantSuggestionButton">
+            <property name="enabled">
+             <bool>false</bool>
+            </property>
+            <property name="text">
+             <string/>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="0">
+           <widget class="QLabel" name="label_14">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Fixed" vsizetype="Preferred">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="text">
+             <string>Max distance [Ã
 ]</string>
-              </property>
-             </widget>
-            </item>
-            <item row="2" column="1">
-             <widget class="QLineEdit" name="maxDistanceInput">
-              <property name="sizePolicy">
-               <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-                <horstretch>0</horstretch>
-                <verstretch>0</verstretch>
-               </sizepolicy>
-              </property>
-              <property name="minimumSize">
-               <size>
-                <width>40</width>
-                <height>0</height>
-               </size>
-              </property>
-             </widget>
-            </item>
-            <item row="2" column="2">
-             <widget class="QPushButton" name="explorerButton">
-              <property name="sizePolicy">
-               <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
-                <horstretch>0</horstretch>
-                <verstretch>0</verstretch>
-               </sizepolicy>
-              </property>
-              <property name="minimumSize">
-               <size>
-                <width>50</width>
-                <height>0</height>
-               </size>
-              </property>
-              <property name="toolTip">
-               <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Open the D&lt;span style=&quot; vertical-align:sub;&quot;&gt;max&lt;/span&gt; explorer window.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-              </property>
-              <property name="layoutDirection">
-               <enum>Qt::LeftToRight</enum>
-              </property>
-              <property name="text">
-               <string>Explore</string>
-              </property>
-             </widget>
-            </item>
-           </layout>
-           <zorder>noOfTermsInput</zorder>
-           <zorder>noOfTermsSuggestionButton</zorder>
-           <zorder>regularizationConstantInput</zorder>
-           <zorder>regConstantSuggestionButton</zorder>
-           <zorder>maxDistanceInput</zorder>
-           <zorder>explorerButton</zorder>
-           <zorder>label_13</zorder>
-           <zorder>label_12</zorder>
-           <zorder>label_14</zorder>
-          </widget>
-         </item>
-        </layout>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="1">
+           <widget class="QLineEdit" name="maxDistanceInput">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="minimumSize">
+             <size>
+              <width>40</width>
+              <height>0</height>
+             </size>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="2">
+           <widget class="QPushButton" name="explorerButton">
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="minimumSize">
+             <size>
+              <width>50</width>
+              <height>0</height>
+             </size>
+            </property>
+            <property name="toolTip">
+             <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Open the D&lt;span style=&quot; vertical-align:sub;&quot;&gt;max&lt;/span&gt; explorer window.&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+            </property>
+            <property name="layoutDirection">
+             <enum>Qt::LeftToRight</enum>
+            </property>
+            <property name="text">
+             <string>Explore</string>
+            </property>
+           </widget>
+          </item>
+         </layout>
+         <zorder>noOfTermsInput</zorder>
+         <zorder>noOfTermsSuggestionButton</zorder>
+         <zorder>regularizationConstantInput</zorder>
+         <zorder>regConstantSuggestionButton</zorder>
+         <zorder>maxDistanceInput</zorder>
+         <zorder>explorerButton</zorder>
+         <zorder>label_13</zorder>
+         <zorder>label_12</zorder>
+         <zorder>label_14</zorder>
+        </widget>
        </item>
        <item row="2" column="0">
@@ -281,5 +283,12 @@
          </property>
          <layout class="QGridLayout" name="gridLayout_4">
-          <item row="1" column="1">
+          <item row="0" column="0">
+           <widget class="QLabel" name="label_15">
+            <property name="text">
+             <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;R&lt;span style=&quot; vertical-align:sub;&quot;&gt;g&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+            </property>
+           </widget>
+          </item>
+          <item row="0" column="1">
            <widget class="QLineEdit" name="rgValue">
             <property name="enabled">
@@ -287,5 +296,5 @@
             </property>
             <property name="sizePolicy">
-             <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
               <horstretch>0</horstretch>
               <verstretch>0</verstretch>
@@ -297,120 +306,5 @@
            </widget>
           </item>
-          <item row="5" column="1">
-           <widget class="QLineEdit" name="chiDofValue">
-            <property name="enabled">
-             <bool>true</bool>
-            </property>
-            <property name="sizePolicy">
-             <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-              <horstretch>0</horstretch>
-              <verstretch>0</verstretch>
-             </sizepolicy>
-            </property>
-            <property name="readOnly">
-             <bool>true</bool>
-            </property>
-           </widget>
-          </item>
-          <item row="3" column="1">
-           <widget class="QLineEdit" name="backgroundValue">
-            <property name="enabled">
-             <bool>true</bool>
-            </property>
-            <property name="sizePolicy">
-             <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-              <horstretch>0</horstretch>
-              <verstretch>0</verstretch>
-             </sizepolicy>
-            </property>
-            <property name="readOnly">
-             <bool>true</bool>
-            </property>
-           </widget>
-          </item>
-          <item row="0" column="0">
-           <widget class="QLabel" name="label_22">
-            <property name="text">
-             <string>Parameter</string>
-            </property>
-           </widget>
-          </item>
-          <item row="0" column="1">
-           <widget class="QLabel" name="label_23">
-            <property name="text">
-             <string>Calculated Value</string>
-            </property>
-            <property name="alignment">
-             <set>Qt::AlignCenter</set>
-            </property>
-           </widget>
-          </item>
-          <item row="4" column="2">
-           <widget class="QLabel" name="label_27">
-            <property name="text">
-             <string>secs</string>
-            </property>
-           </widget>
-          </item>
           <item row="0" column="2">
-           <widget class="QLabel" name="label_28">
-            <property name="text">
-             <string>Units</string>
-            </property>
-           </widget>
-          </item>
-          <item row="1" column="0">
-           <widget class="QLabel" name="label_15">
-            <property name="text">
-             <string>Rg</string>
-            </property>
-           </widget>
-          </item>
-          <item row="2" column="2">
-           <widget class="QLabel" name="label_25">
-            <property name="text">
-             <string>Ã
--1</string>
-            </property>
-           </widget>
-          </item>
-          <item row="7" column="0">
-           <widget class="QLabel" name="label_21">
-            <property name="text">
-             <string>Positive Fraction</string>
-            </property>
-           </widget>
-          </item>
-          <item row="5" column="0">
-           <widget class="QLabel" name="label_19">
-            <property name="text">
-             <string>Chi^2/dof</string>
-            </property>
-           </widget>
-          </item>
-          <item row="6" column="0">
-           <widget class="QLabel" name="label_20">
-            <property name="text">
-             <string>Oscillations</string>
-            </property>
-           </widget>
-          </item>
-          <item row="6" column="1">
-           <widget class="QLineEdit" name="oscillationValue">
-            <property name="enabled">
-             <bool>true</bool>
-            </property>
-            <property name="sizePolicy">
-             <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-              <horstretch>0</horstretch>
-              <verstretch>0</verstretch>
-             </sizepolicy>
-            </property>
-            <property name="readOnly">
-             <bool>true</bool>
-            </property>
-           </widget>
-          </item>
-          <item row="1" column="2">
            <widget class="QLabel" name="label_24">
             <property name="text">
@@ -420,19 +314,180 @@
            </widget>
           </item>
-          <item row="4" column="0">
+          <item row="0" column="3">
+           <widget class="QLabel" name="label_22">
+            <property name="text">
+             <string>      </string>
+            </property>
+           </widget>
+          </item>
+          <item row="0" column="4">
+           <widget class="QLabel" name="label_19">
+            <property name="text">
+             <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ï&lt;span style=&quot; vertical-align:super;&quot;&gt;2&lt;/span&gt;/dof&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+            </property>
+           </widget>
+          </item>
+          <item row="0" column="5">
+           <widget class="QLineEdit" name="chiDofValue">
+            <property name="enabled">
+             <bool>true</bool>
+            </property>
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="readOnly">
+             <bool>true</bool>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="0">
+           <widget class="QLabel" name="label_16">
+            <property name="text">
+             <string>I(Q=0)</string>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="1">
+           <widget class="QLineEdit" name="iQ0Value">
+            <property name="enabled">
+             <bool>true</bool>
+            </property>
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="readOnly">
+             <bool>true</bool>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="2">
+           <widget class="QLabel" name="label_25">
+            <property name="text">
+             <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="4">
+           <widget class="QLabel" name="label_20">
+            <property name="text">
+             <string>Oscillations</string>
+            </property>
+           </widget>
+          </item>
+          <item row="1" column="5">
+           <widget class="QLineEdit" name="oscillationValue">
+            <property name="enabled">
+             <bool>true</bool>
+            </property>
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="readOnly">
+             <bool>true</bool>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="0">
+           <widget class="QLabel" name="label_17">
+            <property name="text">
+             <string>Background</string>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="1">
+           <widget class="QLineEdit" name="backgroundValue">
+            <property name="enabled">
+             <bool>true</bool>
+            </property>
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="readOnly">
+             <bool>true</bool>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="2">
+           <widget class="QLabel" name="label_26">
+            <property name="text">
+             <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="4">
+           <widget class="QLabel" name="label_21">
+            <property name="text">
+             <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;P&lt;span style=&quot; vertical-align:super;&quot;&gt;+&lt;/span&gt; Fraction&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+            </property>
+           </widget>
+          </item>
+          <item row="2" column="5">
+           <widget class="QLineEdit" name="posFractionValue">
+            <property name="enabled">
+             <bool>true</bool>
+            </property>
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="readOnly">
+             <bool>true</bool>
+            </property>
+           </widget>
+          </item>
+          <item row="3" column="0">
            <widget class="QLabel" name="label_18">
             <property name="text">
-             <string>Computation Time</string>
-            </property>
-           </widget>
-          </item>
-          <item row="8" column="0">
+             <string>Calc. Time</string>
+            </property>
+           </widget>
+          </item>
+          <item row="3" column="1">
+           <widget class="QLineEdit" name="computationTimeValue">
+            <property name="enabled">
+             <bool>true</bool>
+            </property>
+            <property name="sizePolicy">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
+              <horstretch>0</horstretch>
+              <verstretch>0</verstretch>
+             </sizepolicy>
+            </property>
+            <property name="readOnly">
+             <bool>true</bool>
+            </property>
+           </widget>
+          </item>
+          <item row="3" column="2">
+           <widget class="QLabel" name="label_27">
+            <property name="text">
+             <string>secs</string>
+            </property>
+           </widget>
+          </item>
+          <item row="3" column="4">
            <widget class="QLabel" name="label_29">
             <property name="text">
-             <string>1-sigma positive fraction</string>
-            </property>
-           </widget>
-          </item>
-          <item row="8" column="1">
+             <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;P&lt;span style=&quot; vertical-align:super;&quot;&gt;+&lt;/span&gt;&lt;span style=&quot; vertical-align:sub;&quot;&gt;1-Ï&lt;/span&gt; fraction&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+            </property>
+           </widget>
+          </item>
+          <item row="3" column="5">
            <widget class="QLineEdit" name="sigmaPosFractionValue">
             <property name="enabled">
@@ -440,75 +495,5 @@
             </property>
             <property name="sizePolicy">
-             <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-              <horstretch>0</horstretch>
-              <verstretch>0</verstretch>
-             </sizepolicy>
-            </property>
-            <property name="readOnly">
-             <bool>true</bool>
-            </property>
-           </widget>
-          </item>
-          <item row="7" column="1">
-           <widget class="QLineEdit" name="posFractionValue">
-            <property name="enabled">
-             <bool>true</bool>
-            </property>
-            <property name="sizePolicy">
-             <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-              <horstretch>0</horstretch>
-              <verstretch>0</verstretch>
-             </sizepolicy>
-            </property>
-            <property name="readOnly">
-             <bool>true</bool>
-            </property>
-           </widget>
-          </item>
-          <item row="3" column="2">
-           <widget class="QLabel" name="label_26">
-            <property name="text">
-             <string>Ã
--1</string>
-            </property>
-           </widget>
-          </item>
-          <item row="2" column="0">
-           <widget class="QLabel" name="label_16">
-            <property name="text">
-             <string>I(Q=0)</string>
-            </property>
-           </widget>
-          </item>
-          <item row="4" column="1">
-           <widget class="QLineEdit" name="computationTimeValue">
-            <property name="enabled">
-             <bool>true</bool>
-            </property>
-            <property name="sizePolicy">
-             <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
-              <horstretch>0</horstretch>
-              <verstretch>0</verstretch>
-             </sizepolicy>
-            </property>
-            <property name="readOnly">
-             <bool>true</bool>
-            </property>
-           </widget>
-          </item>
-          <item row="3" column="0">
-           <widget class="QLabel" name="label_17">
-            <property name="text">
-             <string>Background</string>
-            </property>
-           </widget>
-          </item>
-          <item row="2" column="1">
-           <widget class="QLineEdit" name="iQ0Value">
-            <property name="enabled">
-             <bool>true</bool>
-            </property>
-            <property name="sizePolicy">
-             <sizepolicy hsizetype="MinimumExpanding" vsizetype="Fixed">
+             <sizepolicy hsizetype="Preferred" vsizetype="Fixed">
               <horstretch>0</horstretch>
               <verstretch>0</verstretch>
@@ -738,17 +723,4 @@
    </item>
    <item row="1" column="0">
-    <spacer name="verticalSpacer_2">
-     <property name="orientation">
-      <enum>Qt::Vertical</enum>
-     </property>
-     <property name="sizeHint" stdset="0">
-      <size>
-       <width>20</width>
-       <height>0</height>
-      </size>
-     </property>
-    </spacer>
-   </item>
-   <item row="2" column="0">
     <layout class="QHBoxLayout" name="horizontalLayout_8">
      <property name="sizeConstraint">
Index: src/sas/qtgui/Plotting/Plotter.py
===================================================================
--- src/sas/qtgui/Plotting/Plotter.py	(revision cb4d21923d5112d84638455162621f5823dd13c5)
+++ src/sas/qtgui/Plotting/Plotter.py	(revision 8f83719fd67e6a72acdcd666e7bf1e2326b52cd0)
@@ -92,5 +92,5 @@
                 marker = dict(PlotUtilities.SHAPES)[marker]
             except KeyError:
-                list(PlotUtilities.SHAPES.values())[marker]
+                marker = list(PlotUtilities.SHAPES.values())[marker]
 
         assert marker is not None
Index: src/sas/qtgui/Plotting/PlotterBase.py
===================================================================
--- src/sas/qtgui/Plotting/PlotterBase.py	(revision dd150effb8c766a43d6376c331a64005891484ef)
+++ src/sas/qtgui/Plotting/PlotterBase.py	(revision 8f83719fd67e6a72acdcd666e7bf1e2326b52cd0)
@@ -145,5 +145,5 @@
     def xLabel(self, xlabel=""):
         """ x-label setter """
-        self.x_label = r'$%s$'% xlabel
+        self.x_label = r'$%s$'% xlabel if xlabel else ""
 
     @property
@@ -155,5 +155,5 @@
     def yLabel(self, ylabel=""):
         """ y-label setter """
-        self.y_label = r'$%s$'% ylabel
+        self.y_label = r'$%s$'% ylabel if ylabel else ""
 
     @property
Index: src/sas/sascalc/calculator/resolution_calculator.py
===================================================================
--- src/sas/sascalc/calculator/resolution_calculator.py	(revision fbfc488f82ca4192217ad32b69f00fc4a4e137ab)
+++ src/sas/sascalc/calculator/resolution_calculator.py	(revision 8f83719fd67e6a72acdcd666e7bf1e2326b52cd0)
@@ -1094,6 +1094,6 @@
             output.qx_data = qx_value
             output.qy_data = qy_value
-        except:
-            logger.error(sys.exc_value)
+        except Exception as ex:
+            logger.error(ex)
 
         return output
Index: src/sas/sascalc/pr/invertor.py
===================================================================
--- src/sas/sascalc/pr/invertor.py	(revision f1ec9019e6bd28d9be1b32c5e6009d38039117a0)
+++ src/sas/sascalc/pr/invertor.py	(revision 8f83719fd67e6a72acdcd666e7bf1e2326b52cd0)
@@ -500,8 +500,8 @@
             cov = np.linalg.pinv(inv_cov)
             err = math.fabs(chi2 / float(npts - nfunc)) * cov
-        except:
+        except Exception as ex:
             # We were not able to estimate the errors
             # Return an empty error matrix
-            logger.error(sys.exc_value)
+            logger.error(ex)
 
         # Keep a copy of the last output
@@ -544,9 +544,9 @@
         try:
             return estimator.num_terms(isquit_func)
-        except:
+        except Exception as ex:
             # If we fail, estimate alpha and return the default
             # number of terms
             best_alpha, _, _ = self.estimate_alpha(self.nfunc)
-            logger.warning("Invertor.estimate_numterms: %s" % sys.exc_value)
+            logger.warning("Invertor.estimate_numterms: %s" % ex)
             return self.nfunc, best_alpha, "Could not estimate number of terms"
 
@@ -634,6 +634,6 @@
                 return best_alpha, message, elapsed
 
-        except:
-            message = "Invertor.estimate_alpha: %s" % sys.exc_value
+        except Exception as ex:
+            message = "Invertor.estimate_alpha: %s" % ex
             return 0, message, elapsed
 
@@ -754,6 +754,6 @@
                         self.cov[i][i] = float(toks2[1])
 
-            except:
-                msg = "Invertor.from_file: corrupted file\n%s" % sys.exc_value
+            except Exception as ex:
+                msg = "Invertor.from_file: corrupted file\n%s" % ex
                 raise RuntimeError(msg)
         else:
Index: src/sas/sascalc/pr/num_term.py
===================================================================
--- src/sas/sascalc/pr/num_term.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sascalc/pr/num_term.py	(revision 8f83719fd67e6a72acdcd666e7bf1e2326b52cd0)
@@ -183,6 +183,6 @@
                 data_y = np.append(data_y, test_y)
                 data_err = np.append(data_err, err)
-            except:
-                logger.error(sys.exc_value)
+            except Exception as ex:
+                logger.error(ex)
 
     return data_x, data_y, data_err
